%{?nodejs_find_provides_and_requires}

%global packagename qunit
%global enable_tests 0
# tests disabled due to the fact that the tests require the
# 'chainer' module, which has no license :-(

Name:		nodejs-qunit
Version:	1.0.0
Release:	1%{?dist}
Summary:	QUnit testing framework for nodejs

License:	MIT
URL:		https://github.com/kof/node-qunit.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(chainer)
BuildRequires:	npm(eslint)
BuildRequires:	npm(timekeeper)
%endif

Requires:	nodejs

%description
QUnit testing framework for nodejs


%prep
%setup -q -n package
sed -i '1s/env //' bin/cli.js


%nodejs_fixdep qunitjs

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ support/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}/bin
install -p -D -m0755 bin/cli.js %{buildroot}%{nodejs_sitelib}/%{packagename}/bin/cli.js

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/cli.js \
    %{buildroot}%{_bindir}/qunit


%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs --harmony ./test/testrunner.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}
%{_bindir}/qunit



%changelog
* Sat Mar 25 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Update to upstream 1.0.0 release

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 0.7.7-2
- Fix dependency version for qunitjs

* Mon Oct 19 2015 Jared Smith <jsmith@fedoraproject.org> - 0.7.7-1
- Initial packaging
